.pt-o-game-sl2 {
  &-audio {
    &__container {
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }

        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 5;
          transform: rotate(45deg);
        }

        .__pin.--right {
          display: none;
        }

        .__content {
          u {
            text-decoration: underline !important;
          }

          i {
            font-style: italic !important;
          }

          b {
            font-weight: bold !important;
          }
        }
      }
    }

    &__left {
      width: 42vh;
      max-width: 38rem;
      height: 42vh;
      max-height: 38rem;
      border-radius: 14vh 0 0 14vh;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
      flex-shrink: 0;

      & > .__player {
        width: 12.8rem;
        height: 12.8rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 2.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 2.4rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      width: max(calc(100% - 42vh), 72%);
      max-width: 80rem;
      height: 100%;
      position: relative;

      & > .__tapescript {
        min-width: 17.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.8rem !important;
        position: absolute;
        bottom: 1.2rem;
        left: max(-21vh, -19rem);
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.8rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      &.--image {
        .pt-o-block-bottom-gradient-with-header {
          &__content {
            height: 60%;
            padding-top: 17.5vh;
            position: relative;

            .__image-instruction {
              width: 100%;
              height: 20vh;
              position: absolute;
              top: 0;
              left: 50%;
              transform: translate(-50%, -20%);

              .pt-a-image {
                height: 100%;
              }
            }
          }
        }
      }

      .pt-o-block-bottom-gradient-with-header {
        overflow: hidden;
        padding-bottom: 2.2rem;
        &__header {
          & > .__heading {
            color: $white;
            font-family: 'mont_m';
            font-size: 1.8rem;
            line-height: 2.2rem;
          }
        }

        &__content {
          overflow: hidden auto;
          padding: 0 1.6rem 3.2rem 1.6rem;
          &::-webkit-scrollbar {
            width: 7px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
              margin-top: 2.5rem;
              margin-bottom: 2.5rem;
          }
          &::-webkit-scrollbar-thumb {
              background: #d4e9ff;
              border-radius: 10px;
          }

          & > .__content {
            position: relative;
            margin: 0;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            & > .__item {
              align-items: center;
              display: flex;
              flex-direction: column;
              margin-top: 2rem;
              width: 100%;
              gap: 1rem;
              padding: 0;
              & > .pt-a-image{
                width: fit-content;
                & > img{
                  position: initial;
                  cursor: zoom-in;
                }
              }
              .select {
                .rs-dropdown {
                  min-width: 10rem;
                  margin-right: 0.5rem;
                  margin-left: 0.5rem;
                  .rs-dropdown-toggle {

                    color: #2692ff;
                    width: 100%;
                    background-color: white;
                    border-bottom: 2px solid #2692ff;
                    border-radius: 0;
                    font-size: 2rem !important;
                    .rs-dropdown-toggle-caret {
                      display: none;
                    }
                    &::after {
                      width: 1.6rem;
                      height: 0.8rem;
                      clip-path: polygon(0 0, 50% 100%, 100% 0);
                      background: $dodgerBlue;
                      content: "";
                      display: inline-block;
                      transform: translateY(-50%);
                      right: 0;
                      position: absolute;
                      top: 0.4rem;
                    }
                  }
                  .rs-dropdown-menu {
                    min-width: 10rem;
                    width: max-content;
                    max-width: 20rem;
                    .rs-dropdown-item {
                      font-size: 2rem;
                    }
                  }

                  &.--inline {
                    .rs-dropdown-toggle {
                      &::after {
                        top: 1.6rem;
                      }
                    }
                  }
                  &.--success {
                    .rs-dropdown-toggle {
                      color: $limeGreen;
                      border-bottom: 2px solid rgba(38, 146, 255, .3);
                      &::after {
                        opacity: 0.3;
                      }
                    }
                  }
                  &.--danger {
                    .rs-dropdown-toggle {
                      color: $salmon;
                      border-bottom: 2px solid rgba(38, 146, 255, .3);
                      &::after {
                        opacity: 0.3;
                      }
                    }
                  }
                }
                & > .__space {
                  height: 4rem;
                  // width: 3rem;
                  padding: 0 0 0 12.3rem;
                  margin: 0 0.5rem;
                  border-bottom: 0.2rem solid $cornflower;
                  cursor: pointer;
                  position: relative;
                  text-align: center;
                  text-decoration: underline;

                  &::after {
                    width: 1.6rem;
                    height: 0.8rem;
                    clip-path: polygon(0 0, 50% 100%, 100% 0);
                    background: $dodgerBlue;
                    content: '';
                    display: inline-block;
                    transform: translateY(-50%);
                  }

                  &.--inline {
                    padding: 0 1rem 0 0;
                    margin: 0;
                    color: $dodgerBlue;

                    &:after {
                      transform: translate(1rem, -50%);
                    }
                  }

                  &.--success {
                    color: $limeGreen;

                    &:after {
                      opacity: 0.3;
                    }
                  }

                  &.--danger {
                    color: $salmon;

                    &:after {
                      opacity: 0.3;
                    }
                  }
                }
              }
            }
          }

          & > div {
            & > div {
              padding: 0 3.2rem 0 0;
              color: $gunPowder;
              font-family: 'mont_m';
              font-size: 1.8rem;
              line-height: 3.6rem;

              // &:nth-child(3) {
              //   & > div {
              //     background: $pattensBlue !important;
              //   }
              // }
            }
          }
          .pt-a-image {
            height: 20rem;
          }
        }

        .__drawer {
          width: 60%;
          max-width: 63.4rem;
          height: fit-content;
          max-height: 0;
          padding: 0 1.6rem;
          background: $white;
          border-radius: 2.4rem 2.4rem 0 0;
          box-shadow: 0 0 2.4rem rgba($color: $tropicalBlue, $alpha: 0.4);
          overflow: auto;
          position: fixed;
          left: 50%;
          z-index: 1000;
          transform: translateX(-50%);
          transition: max-height 0.25s ease-in-out, padding 0.35s ease-in-out;
          opacity: 0;
          visibility: hidden;

          &.--show {
            max-height: 60%;
            padding: 1.2rem 1.6rem;
            opacity: 1;
            visibility: visible;
          }

          &::-webkit-scrollbar {
            width: 0.8rem;

            &-track {
              background: transparent;
            }

            &-thumb {
              background: $pattensBlue;
              border-radius: 0.4rem;
            }
          }

          &-item {
            min-height: 4.4rem;
            margin: 0 0 1rem 0;
            border-radius: 0.8rem;
            color: $gunPowder;
            cursor: pointer;
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_sb';
            font-size: 1.8rem;
            line-height: 2.2rem;
            text-align: center;
            transition: background 0.25s ease-in-out;

            &:last-child {
              margin: 0;
            }

            &.--active {
              background: $dodgerBlue;
              color: $white;

              &:hover {
                background: $dodgerBlue;
              }
            }

            &:hover {
              background: $pattensBlue;
            }

            @media only screen and (min-width: 1024px) and (max-width: 1366px) {
              font-size: 2.4rem;
            }

            @media only screen and (min-width: 768px) and (max-width: 1024px) {
              font-size: 2rem;
            }

            @media only screen and (max-width: 767px) and (min-aspect-ratio:4/3) {
              font-size: 1.6rem;
            }

            @media only screen and (max-width: 767px) and (max-aspect-ratio:3999/3000) {
              font-size: 1.6rem;
            }
          }
        }
      }
    }

    &__see-more {
      display: none;
      // display: flex;
      justify-content: center;
      align-items: center;
      width: 4rem;
      height: 4rem;
      border-radius: 2rem;
      background-color: rgba($color: #000000, $alpha: 0.4);
      position: absolute;
      position: fixed;
      bottom: 14rem;
      left: calc(50% - 2rem);
    }
  }
}

@include screen-768-1024-portrait {
  .pt-o-game-sl2 {
    &-audio {
      &__container {
        flex-direction: column;
        // padding-top: 21rem;
        overflow: auto;
        & > .__paper {
          width: 100%;
          font-size: 2.2rem;
          .__pin.--left {
            top: 1.6rem;
          }
        }
      }
      &__left {
        width: 18.6rem;
        height: 19.8rem;
        min-height: 15rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        overflow: unset;
        // padding-bottom: 3rem;
        padding-top: 0rem;
        & > .__player {
          width: 7rem;
          height: 7rem;
          position: absolute;
          top: 2.5rem;
        }

        & > .__duration {
          position: absolute;
          bottom: 49px;
          transform: unset;
          left: unset;
          font-size: 2rem;
        }
      }
      &__result {
        margin-bottom: 0;
      }
      &__right {
        width: 100%;
        height: auto;
        min-height: 20rem;
        & > .__tapescript {
          min-width: 17.6rem;
          height: 4.6rem;
          border-radius: 2.3rem;
          font-family: 'mont_b';
          font-size: 1.8rem !important;
          top: unset;
          bottom: unset;
          left: 50%;
          bottom: 100%;
          transform: translate(-50%, -2px);

          &::before {
              width: 17.6rem;
              height: 4.6rem;
              border-radius: 2.3rem;
              content: 'Tapescript';
              font-family: 'mont_b';
              font-size: 1.8rem;
              opacity: 0;
              top: 0;
              left: 0;
          }
        }

        .pt-o-block-bottom-gradient-with-header {
          height: auto;
          display: flex;
          flex-direction: column;
          padding-bottom: 0;
          &__header {
            height: unset;
            & > .__heading {
              font-size: 2.2rem;
              line-height: 2.2rem;
            }
          }

          &__content {
            height: unset;
            padding: 2rem;
            position: unset !important;
            padding-top: 0 !important;
            padding-bottom: 2.2rem;
            width: 100%;
            box-shadow: unset;
            flex: 1;

            & > .__content {
              .__item{
                padding: 1rem;
                position: unset !important;
                .select{
                  font-size: 2rem;
                  line-height: 4rem;
                  .rs-dropdown {
                    .rs-dropdown-toggle {
                      font-size: 2rem !important;
                    }
                    .rs-dropdown-menu {
                      .rs-dropdown-item {
                        font-size:2rem;
                      }
                    }

                    
                  }
                }
              }
            }
            .pt-a-image {
              height: 24rem;
            }
          }
        }
      }
      &__see-more {
        display: flex;
      }
    }
  }
}

@include screen-767-portrait{
  .pt-o-game-sl2 {
    flex-direction: row;
    overflow: auto;
    &-audio {
      &__container {
        flex-direction: column;
        overflow: auto;
        justify-content: flex-start;
        & > .__paper {
          width: 100%;
          font-size: 1.6rem;
          .__pin.--left {
            top: 1.6rem;
          }
        }
      }
      &__left {
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        overflow: unset;
        flex-direction: column;
        justify-content: flex-start;
        // padding-bottom: 3rem;
        & > .__player {
          width: 6.8rem;
          height: 6.8rem;
          top: 2rem;
        }

        & > .__duration {
          font-size: 1.8rem;
          bottom: 2.8rem;
          line-height: 3.4rem;
        }
      }
      &__result {
        margin-bottom: 0;
      }
      &__right {
        width: 100%;
        // min-height: 30rem;
        padding-bottom: 1rem;
        // height: unset;
        height: calc(100% - 15.6rem);
        & > .__tapescript {
          min-width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          font-family: mont_b;
          font-size: 1.4rem!important;
          top: unset;
          bottom: unset;
          left: 50%;
          bottom: 100%;
          transform: translate(-50%,-2px);

          &::before {
            width: 11.6rem;
            height: 3.4rem;
            border-radius: 2.3rem;
            content: 'Tapescript';
            font-family: 'mont_b';
            font-size: 1.4rem;
            opacity: 0;
            top: 0;
            left: 0;
          }
        }

        .pt-o-block-bottom-gradient-with-header {
          display: flex;
          flex-direction: column;
          padding: 0;
          &__header {
            height: unset;
            padding: 1rem;
            & > .__heading {
              font-size: 1.6rem;
              line-height: 2rem;
            }
          }

          &__content {
            overflow: auto;
            padding: 1.2rem 1.2rem 2.5rem 1.2rem;
            position: unset !important;
            padding-top: 0 !important;
            width: 100%;
            box-shadow: unset;
            height: unset;
            flex: 1;
            margin: 1.2rem 0;
            & > .__content {
              & > .__item {
                margin-top: 2rem;
                width: 100%;
                .select {
                  font-size:1.6rem;
                  .rs-dropdown {
                    .rs-dropdown-toggle {
                      font-size: 1.6rem !important;
                    }
                    .rs-dropdown-menu {
                      .rs-dropdown-item {
                        font-size:1.6rem;
                      }
                    }

                    
                  }
                  & > .__space {
                    height: 4rem;
                    // width: 3rem;

                    &::after {
                      width: 1.2rem;
                      height: 0.6rem;
                    }
                  }
                }
              }
            }
            .pt-a-image {
              height: 16rem;
            }
          }
        }
      }
      &__see-more {
        display: flex;
      }
    }
  }
}
@include screen-1024-landscape{
  .pt-o-game-sl2 {
    &-audio {
      &__container {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
  
        & > .__paper {
          width: 64.2rem;
          height: 100%;
          margin: 0 auto;
          font-size: 1.6rem;
          line-height: 3.2rem;
          position: relative;
  
          &.--hidden {
            display: none;
          }
  
          & > .__toggle {
            width: 1.6rem;
            height: 1.6rem;
            cursor: pointer;
            position: absolute;
            top: 1.6rem;
            right: 3.6rem;
            z-index: 5;
            transform: rotate(45deg);
          }
        }
      }
  
      &__left {
        width: 26rem;
        max-width: 26rem;
        height: 26rem;
        max-height: 26rem;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        & > .__player {
          width: 50%;
          height:  50%;
        }
  
        & > .__duration {
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
          font-size: 2rem;
        }
      }
  
      &__right {
        width: calc(100% - 27rem);
        height: 100%;
        position: relative;
  
        & > .__tapescript {
          min-width: 15rem;
          width: 15rem;
          height: 4rem;
          border-radius: 2rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.6rem !important;
          position: absolute;
          bottom: 0;
          left: -15rem;
          transform: translateX(-5.5rem);
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            width: 17.6rem;
            height: 4.6rem;
            background: $deepSkyBlue;
            border-radius: 2.3rem;
            color: $white;
            content: 'Tapescript';
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_b';
            font-size: 1.6rem;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 0;
            left: 0;
          }
        }
  
  
        .pt-o-block-bottom-gradient-with-header {
          overflow: hidden;
          padding-bottom: 2.2rem;
          &__header {
            padding: 1rem 3.2rem 1.6rem 3.2rem;
            & > .__heading {
              color: $white;
              font-family: 'mont_m';
              font-size: 1.6rem;
              line-height: 2rem;
            }
          }
          &__content {
            padding: 2rem 1rem;
            height: 80%;
            border-radius: 2.6rem;
            & > .__content {
                   
              & > .__item {
               
                .select {
                  font-size:1.6rem;
                  .rs-dropdown {
                    min-width: 10rem;
                    .rs-dropdown-toggle {
                      font-size: 1.6rem !important;
                    }
                    .rs-dropdown-menu {
                      .rs-dropdown-item {
                        font-size:1.6rem;
                      }
                    }

                    
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-960-landscape{
  .pt-o-game-sl2 {
    &-audio {
      &__container {
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
  
        & > .__paper {
          width: 64.2rem;
          height: 100%;
          margin: 0 auto;
          font-size: 1.4rem;
          line-height: 3.2rem;
          position: relative;
  
          &.--hidden {
            display: none;
          }
  
          & > .__toggle {
            width: 1.6rem;
            height: 1.6rem;
            cursor: pointer;
            position: absolute;
            top: 1.6rem;
            right: 3.6rem;
            z-index: 2;
            transform: rotate(45deg);
          }
        }
      }
  
      &__left {
        width: 18rem;
        max-width: 18rem;
        height: 18rem;
        margin-top: -6rem;
        max-height: 18rem;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        & > .__player {
          width: 50%;
          height:  50%;
        }
  
        & > .__duration {
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
          font-size: 1.8rem;
        }
      }
  
      &__right {
        width: calc(100% - 19rem);
        height: 100%;
        position: relative;
        & > .__tapescript {
          min-width: 15rem;
          width: 15rem;
          height: 4rem;
          border-radius: 2rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.2rem !important;
          position: absolute;
          bottom: 0;
          left: -15rem;
          transform: translateX(-1.5rem);
          &:active {
            &::before {
              opacity: 1;
            }
          }
  
          &::before {
            width: 17.6rem;
            height: 4.6rem;
            background: $deepSkyBlue;
            border-radius: 2.3rem;
            color: $white;
            content: 'Tapescript';
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_b';
            font-size: 1.2rem;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 0;
            left: 0;
          }
        }
  
  
        .pt-o-block-bottom-gradient-with-header {
          overflow: hidden;
          padding-bottom: 2.2rem;
          &__header {
            padding: 0.6rem 1rem 1.6rem 1rem !important;
            & > .__heading {
              color: $white;
              font-family: 'mont_m';
              font-size: 1.4rem;
              line-height: 2rem;
            }
          }
          &__content {
            padding: 1rem;
            border-radius: 2rem;
            bottom: 1.6rem;
            height: 72%;
            & > .__content {
              & > .__item {
               .pt-a-image{
                height: 10rem;
               }
                .select {
                  font-size:1.4rem;
                  .rs-dropdown {
                    min-width: 6rem;
                    margin: 0 0.2rem;
                    .rs-dropdown-toggle {
                      font-size: 1.4rem !important;
                    }
                    .rs-dropdown-menu {
                      .rs-dropdown-item {
                        font-size:1.4rem;
                      }
                    }

                    
                  }
                }
              }
            }
          }
  
          
        }
      }
    }
  }
}
@include screen-mobile-portrait{
  .pt-o-game-sl2{
    &-audio {
      &__left{
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        overflow: unset;
        justify-content: flex-start;
        align-items: center;

        .__duration{
            position: absolute;
            bottom: 28px;
            transform: unset;
            left: unset;
            font-size: 1.4rem;
        }
      }
      &__right {
        width: 100%;
        max-height: calc(100% - 15.6rem);

      }
    }
  }
}
